"use strict";
const eslint_etc_1 = require("eslint-etc");
const utils_1 = require("../utils");
const rule = (0, utils_1.ruleCreator)({
    defaultOptions: [],
    meta: {
        docs: {
            description: "Forbids the use of `enum`.",
            recommended: false,
        },
        fixable: undefined,
        hasSuggestions: false,
        messages: {
            forbidden: "`enum` is forbidden.",
        },
        schema: [],
        type: "problem",
    },
    name: "no-enum",
    create: (context) => ({
        TSEnumDeclaration: (node) => {
            const { esTreeNodeToTSNodeMap } = (0, eslint_etc_1.getParserServices)(context);
            const enumDeclaration = esTreeNodeToTSNodeMap.get(node);
            context.report({
                messageId: "forbidden",
                loc: (0, eslint_etc_1.getLoc)(enumDeclaration.name),
            });
        },
    }),
});
module.exports = rule;
